Bug 35149 - smbpasswd as user times out
smbpasswd as user times out
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-04-07 20:36 EDT by Mike Chambers
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-08 01:07:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
samba config file incase needed (11.57 KB, text/plain)
2001-04-07 20:38 EDT, Mike Chambers
no flags Details

  None (edit)
Description Mike Chambers 2001-04-07 20:36:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

When running the command smbpasswd as user, it times out and doesn't let 
you change password.

Reproducible: Always
Steps to Reproduce:
2.old pass, hit enter
3.new pass, hit enter
4.confirm pass, hit enter

Actual Results:  [reddawg@homer reddawg]$ smbpasswd
Old SMB password:
New SMB password:
Retype new SMB password:
timeout connecting to
unable to connect to SMB server on machine Error was : code 0.
Failed to change password for reddawg

[reddawg@homer reddawg]$ rpm -q samba

Expected Results:  Should let you change password and accept it.

Also having problems connecting to samba from win2000 machine.  Using same 
smb.conf file from RH 7 that worked, now doesn't let you connect to the 
workgroup.  Just mentioned as maybe they are related problems.
Comment 1 Mike Chambers 2001-04-07 20:38:00 EDT
Created attachment 14883 [details]
samba config file incase needed
Comment 2 Bill Nottingham 2001-04-07 21:48:25 EDT
Do you have the firewall set up?
Comment 3 Mike Chambers 2001-04-08 01:04:52 EDT
Yes I am running iptables and port 139 is blocked but only for INPUT, not 
Comment 4 Mike Chambers 2001-04-08 01:07:25 EDT
Ok, I took out port 139 from iptables and that fixed it.  That should only 
block incoming traffic not internal though shouldn't it?
Comment 5 Bill Nottingham 2001-04-08 16:25:36 EDT
It depends; if you don't explicitly specify to have everything on localhost
accepted, it will also block localhost.

Note You need to log in before you can comment on or make changes to this bug.